Subject: Re: bug#51297: 28.0.60; [PATCH] Update termcap/terminfo to indicate 16-color support

From: Jim Porter <[email-masked]>
Date: Wed, 20 Oct 2021 12:50:26 -0700

On 10/20/2021 1:29 AM, miha--- via Bug reports for GNU Emacs, the Swiss 
army knife of text editors wrote:
> In conclusion, I think we should update the terminfo, changing colors,
> setab and setaf, and leave term.el unchanged.  Patch attached.

Thanks, this seems reasonable to me. I don't know much about the details 
of terminfo, so I wasn't aware of setab/setaf.

More generally, I do wonder if we should be concerned with making it 
possible to distinguish between different versions of Emacs, since 27, 
28, and 29 all have different capabilities. At least as I understand it, 
If I SSH into a system, having `TERM=eterm-color' isn't enough to know 
whether 8, 16, or 256 colors are supported.